Register an OAuth2 Client

Register a new OAuth2 client application. Requires the PRINCIPAL_MODIFY privilege. The client_secret is returned only once in the response and cannot be retrieved again.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Specifies the parameters to register an OAuth2 client application.

string
enum

Specifies the access control policy for the client application. Determines which users are allowed to authorize with this client.

Allowed:
string
required

Specifies the name of the client application.

string
enum
required

Specifies the client type.

Allowed:
grantTypes
array of strings

Specifies the grant types the client is allowed to use.

grantTypes
boolean | null
Defaults to true

Specifies whether the client is active. Set to false to disable the client without deleting it.

redirectUris
array of uris
required
length ≥ 1

Specifies the list of redirect URIs for the client. Each URI must use HTTPS. At least one redirect URI is required.

redirectUris*
scopes
array of strings

Specifies the scopes the client is allowed to request. If not specified, the client can request all supported scopes.

scopes
signoutUri
array of uris

Specifies the URI to redirect to after the user signs out. Each URI must use HTTPS.

signoutUri
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json